import Entity from "./core/entity.class";
import Request from "./core/request";
import { get, set, remove } from "./utils/localCache";
import * as vue from "./utils/vue";
import * as http from "./utils/http";
import * as fn from "./utils/fn";
import * as navigator from "./utils/navigator";
import * as day from "./utils/day";
import global from "./global";
import "./assets/font/iconfont.less";

export const install = (app, lib, config) => {
  console.log("app =====>", app);
  const { entity, lodash } = lib;
  const { apiJSON, genBaseUrl, apiFormURL, apiUploadUrl, cache, req } = config;
  global._entityCollection = entity;
  global._ = lodash;
  global._apiJSON = apiJSON;
  global._genBaseUrl = genBaseUrl;
  global._apiFormURL = apiFormURL;
  global._apiUploadUrl = apiUploadUrl;
  global._cache = cache;
  global._req = req;
};

export const core = {
  Entity,
  Request,
};

export const utils = {
  vue,
  http,
  fn,
  navigator,
  day,
  localCache: {
    get,
    set,
    remove,
  },
};

export { $toast } from "./components";

export default {};
